//
//  LBAssetGroupCell.swift
//  LBAssetPickerDemo
//
//  Created by zhubaotown on 16/4/21.
//  Copyright © 2016年 zhubaotown. All rights reserved.
//

import UIKit
import AssetsLibrary

class LBAssetGroupCell: UITableViewCell {
    
    var assetGroup : ALAssetsGroup? = nil;
    
    func bindData(group : ALAssetsGroup) {
        self.assetGroup              = group;
        
        let posterImage : CGImageRef = self.assetGroup!.posterImage().takeUnretainedValue();
        let height :size_t           = CGImageGetHeight(posterImage);
        let scale : CGFloat          = CGFloat(height) / kThumbnailSize.height;
        
        self.imageView?.image        = UIImage(CGImage:posterImage, scale:scale, orientation:.Up);
        self.textLabel?.text         =  self.assetGroup!.valueForProperty(ALAssetsGroupPropertyName) as? String;
        self.detailTextLabel?.text   = String(format:"%d 张照片",(self.assetGroup?.numberOfAssets())!);
        self.accessoryType           = .DisclosureIndicator;
    }
    
    func accessibilityString() -> String? {
        let aStr : String? = self.assetGroup?.valueForProperty(ALAssetsGroupPropertyName) as? String;
        let bStr : String = aStr == nil ? "" : aStr!;
        return String(format:"%@%ld 张照片",bStr,(self.assetGroup?.numberOfAssets())!);
    }

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

}
