//
//  LBAssetPickerViewController.swift
//  LBAssetPickerDemo
//
//  Created by zhubaotown on 16/4/21.
//  Copyright © 2016年 zhubaotown. All rights reserved.
//

import UIKit
import AssetsLibrary

@objc protocol LBAssetPickerViewControllerDelegate {
    func assetPickerController(picker : LBAssetPickerController,didFinishedPickedAssets assets : NSArray?);
    optional func assetPickerControllerDidCanceled(picker : LBAssetPickerController);
    optional func assetPickerController(picker : LBAssetPickerController,didSelectedAsset asset : ALAsset?);
    optional func assetPickerController(picker : LBAssetPickerController,didDeselectedAsset asset : ALAsset?);
    optional func assetPickerControllerDiMaximun(picker : LBAssetPickerController);
    optional func assetPickerControllerDiMinimun(picker : LBAssetPickerController);
}

class LBAssetPickerController: UINavigationController {
    
    weak var pickerDelegate : protocol<UINavigationControllerDelegate,LBAssetPickerViewControllerDelegate>? = nil;
    
    var assetsFilter : ALAssetsFilter = ALAssetsFilter.allAssets();
    
    //选择资源的个数限制
    var maxNumOfSelection : NSInteger = 10;
    var minNumOfSelection : NSInteger = 0;
    
    //资源过滤器
    var selectionFilter : NSPredicate = NSPredicate(value:true);
    
    var showCancelButton : Bool = true;
    var showEmptyGroups : Bool = false;
    var isFinishDismissViewController : Bool = true;
    
    class func defaultPickerController() -> LBAssetPickerController {
        return LBAssetPickerController(rootViewController:LBAssetGroupViewController());
    }

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
