//
//  LBAssetVideoTitle.swift
//  LBAssetPickerDemo
//
//  Created by zhubaotown on 16/4/22.
//  Copyright © 2016年 zhubaotown. All rights reserved.
//

import UIKit

class LBAssetVideoTitle: UILabel {

    override func drawRect(rect: CGRect) {
        let colors : [CGFloat] = [0.0,0.0,0.0,0.0,
                                  0.0,0.0,0.0,0.8,
                                  0.0,0.0,0.0,1.0];
        let locations : [CGFloat] = [0.0,0.75,1.0];
        let baseSpace : CGColorSpaceRef? = CGColorSpaceCreateDeviceRGB();
        let gradient : CGGradientRef? = CGGradientCreateWithColorComponents(baseSpace,colors,locations,2);
        
        let context : CGContextRef? = UIGraphicsGetCurrentContext();
        
        let height : CGFloat = rect.size.height;
        let startPoint : CGPoint = CGPointMake(CGRectGetMidX(rect),height);
        let endPoint : CGPoint = CGPointMake(CGRectGetMidX(rect),CGRectGetMaxY(rect));
        
        CGContextDrawLinearGradient(context, gradient, startPoint,endPoint,.DrawsBeforeStartLocation);
        
        let paragraphStyle : NSMutableParagraphStyle = NSMutableParagraphStyle();
        paragraphStyle.lineBreakMode = .ByTruncatingTail;
        paragraphStyle.alignment = self.textAlignment;
        let titleAtt = [
            NSFontAttributeName : self.font,
            NSForegroundColorAttributeName : self.textColor,
            NSParagraphStyleAttributeName : paragraphStyle];
        var textStr : NSString = "";
        if self.text != nil {
            textStr = self.text!;
        }
        let titleSize : CGSize = textStr.sizeWithAttributes(titleAtt);
        self.textColor.set();
        textStr.drawAtPoint(CGPointMake(rect.size.width - titleSize.width - 2 , (height - 12) / 2),withAttributes:titleAtt);
        
        let videoIcon : UIImage? = UIImage(named: "LBAssetPickerVideoIcon.png");
        if videoIcon != nil {
            videoIcon!.drawAtPoint(CGPointMake(2, (height - videoIcon!.size.height) / 2));
        }
    }

}
