//
//  ViewController.swift
//  LBAssetPickerDemo
//
//  Created by zhubaotown on 16/4/21.
//  Copyright © 2016年 zhubaotown. All rights reserved.
//

import UIKit

class ViewController: UIViewController,LBImageChooserDelegate {
    
    private var myImageChooser : LBImageChooser? = nil;
    private var iconView : UIImageView? = nil;

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.iconView = UIImageView(frame: self.view.bounds);
        self.iconView?.backgroundColor = UIColor.whiteColor();
        self.view.addSubview(self.iconView!);
        
        let aBtn : UIButton = UIButton(type:.Custom);
        aBtn.backgroundColor = UIColor.greenColor();
        aBtn.frame = CGRectMake(100,150,120,40);
        aBtn.setTitle("选择", forState:.Normal);
        aBtn.setTitleColor(UIColor.whiteColor(), forState:.Normal);
        aBtn.setTitle("选择", forState:.Highlighted);
        aBtn.setTitleColor(UIColor.whiteColor(), forState:.Highlighted);
        aBtn.addTarget(self, action:#selector(ViewController.btnClicked), forControlEvents:.TouchUpInside);
        self.view.addSubview(aBtn);
        
        
    }
    
    func btnClicked() {
        self.myImageChooser = LBImageChooser();
        self.myImageChooser!.chooseImageInViewController(self, totalCount:1, withDelegate:self);
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func imageChooserFinished() {
        self.myImageChooser = nil;
    }
    
    func imageChooserWillSave() -> String {
        return "test_" + String(NSDate().timeIntervalSince1970 * 1000) + ".jpg";
    }
    
    func imageChooserScaleImage(aImage: UIImage) -> UIImage? {
        return nil;
    }
    
    func imageChooserDidSave(path: String, withImageInfo imgInfo: NSDictionary?) {
        NSLog("图片保存在\(path)");
        self.iconView?.image = UIImage(contentsOfFile: path);
    }

}

